import React, { Component } from 'react';
import AppStore from '../Stores/AppStore';
import { AppActions } from '../Actions/AppActions';

export class WebsocketView extends Component {
    constructor(props, context) {
        super(props, context);

        this.state = {
            item: {}
        };

        this.onMessage = this.onMessage.bind(this);

        AppActions.connect('wss://wot.city/object/testman/viewer');
    }

    componentDidMount() {
        AppStore.addMessageListener(this.onMessage);
    }

    componentWillUnmount() {
        AppStore.removeMessageListener(this.onMessage);        
    }

    onMessage(item) {
        this.setState(item);
    }

    render() {
        return (
            <div>
                <h1>WebsocketView</h1>
                <p>{this.state.temperature}</p>
            </div>
        );
    }
}

WebsocketView.defaultProps = {
}
